org.jboss.jca.common.api.metadata.ds

## Interface DataSource

- All Superinterfaces:
    CommonDataSource, JCAMetadata, java.io.Serializable, ValidatableMetadata

      public interface DataSource
      extends CommonDataSource

  A DataSource.
  Author:
    Stefano Maestri

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DataSource.Attribute` An attribute.
    `static class` | `DataSource.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getConnectionProperties()` Get the connectionProperties.
    `java.lang.String` | `getConnectionUrl()` Get the connectionUrl.
    `java.lang.String` | `getDataSourceClass()` Get the dataSourceClass.
    `java.lang.String` | `getDriverClass()` Get the driverClass.
    `java.lang.String` | `getNewConnectionSql()` Get the newConnectionSql.
    `DsPool` | `getPool()` Get the pool.
    `Statement` | `getStatement()` Get the statement.
    `java.lang.String` | `getUrlDelimiter()` Get the urlDelimiter.
    `java.lang.String` | `getUrlSelectorStrategyClassName()` Get the urlSelectorStrategyClassName.
    `java.lang.Boolean` | `isConnectable()` Get the connectable flag
    `java.lang.Boolean` | `isJTA()` Get the JTA setting.
    `java.lang.Boolean` | `isTracking()` Get the tracking flag

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ds.CommonDataSource

      `getDriver, getJndiName, getMcp, getPoolName, getSecurity, getTimeOut, getTransactionIsolation, getValidation, isEnabled, isEnlistmentTrace, isSpy, isUseCcm, isUseJavaContext, setEnabled`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ValidatableMetadata

      `validate`

- - ### Method Detail

    - #### isJTA

          java.lang.Boolean isJTA()

      Get the JTA setting.
      Returns:
        The value

    - #### getConnectionUrl

          java.lang.String getConnectionUrl()

      Get the connectionUrl.
      Returns:
        the connectionUrl.

    - #### getDriverClass

          java.lang.String getDriverClass()

      Get the driverClass.
      Returns:
        the driverClass.

    - #### getDataSourceClass

          java.lang.String getDataSourceClass()

      Get the dataSourceClass.
      Returns:
        the value.

    - #### getConnectionProperties

          java.util.Map<java.lang.String,java.lang.String> getConnectionProperties()

      Get the connectionProperties.
      Returns:
        the connectionProperties.

    - #### getStatement

          Statement getStatement()

      Get the statement.
      Returns:
        the statement.

    - #### getUrlDelimiter

          java.lang.String getUrlDelimiter()

      Get the urlDelimiter.
      Returns:
        the urlDelimiter.

    - #### getUrlSelectorStrategyClassName

          java.lang.String getUrlSelectorStrategyClassName()

      Get the urlSelectorStrategyClassName.
      Returns:
        the urlSelectorStrategyClassName.

    - #### getNewConnectionSql

          java.lang.String getNewConnectionSql()

      Get the newConnectionSql.
      Returns:
        the newConnectionSql.

    - #### getPool

          DsPool getPool()

      Get the pool.
      Returns:
        the pool.

    - #### isConnectable

          java.lang.Boolean isConnectable()

      Get the connectable flag
      Returns:
        The value

    - #### isTracking

          java.lang.Boolean isTracking()

      Get the tracking flag
      Returns:
        `null` is container default, a value is an override

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)